|  | Home · All Classes · Modules

# Qt.Alignment Class Reference
[QtCore module]

### Methods

- __init__ (self, Alignment f)
- __init__ (self)

### Special Methods

- Alignment __and__ (self, int mask)
- bool __eq__ (self, Alignment f)
- Alignment __iand__ (self, int mask)
- int __int__ (self)
- Alignment __invert__ (self)
- Alignment __ior__ (self, Alignment f)
- Alignment __ixor__ (self, Alignment f)
- bool __ne__ (self, Alignment f)
- int __nonzero__ (self)
- Alignment __or__ (self, Alignment f)
- Alignment __xor__ (self, Alignment f)

## Detailed Description

AlignmentFlag may be used whenever Alignment is expected.

## Method Documentation

### Alignment.__init__ (self, Alignment f)

### Alignment.__init__ (self)

### Alignment Alignment.__and__ (self, int mask)

### bool Alignment.__eq__ (self, Alignment f)

### Alignment Alignment.__iand__ (self, int mask)

### int Alignment.__int__ (self)

### Alignment Alignment.__invert__ (self)

### Alignment Alignment.__ior__ (self, Alignment f)

### Alignment Alignment.__ixor__ (self, Alignment f)

### bool Alignment.__ne__ (self, Alignment f)

### int Alignment.__nonzero__ (self)

### Alignment Alignment.__or__ (self, Alignment f)

### Alignment Alignment.__xor__ (self, Alignment f)